delete
https://test-accounts.payu.in/api/v3/merchants//kyc_document/
The Deelete KYC Document API returns details for a previously uploaded KYC document, including a signed document URL and verification status (Step 15).
HTTP Method: GET
Environment
| URL | |
|---|---|
| Test Environment | https://test-partner.payu.in/api/v3/merchants/{mid}/kyc_document/{kyc_document_uuid} |
| Production Environment | https://partner.payu.in/api/v3/merchants/{mid}/kyc_document/{kyc_document_uuid} |
Sample request
Sample request
curl --location 'https://test-partner.payu.in/api/v3/merchants/{{mid}}/kyc_document/{{kyc_document_uuid}}' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'Accept: application/json'Sample response
Success scenario
Success scenario
{
"document_category_name": "PAN Card of Signing Authority",
"document_type_name": "PAN Card",
"status": "Approved",
"doc_url": "https://s3.example.com/signed-url..."
}Failure scenario
Failure scenario
- 401 Unauthorized — Token invalid or expired; call Step 00 again
{
"error": "unauthorized",
"message": "Invalid or expired token"
}- 422 Validation Failed — Request parameters failed validation
{
"error": "validation_failed",
"message": "Check the error details in the response body"
}- 404 Not Found — Unknown
kyc_document_uuid
{
"error": "not_found",
"message": "KYC document not found"
}Response parameters
Response parameters
| Parameter | Description | Example |
|---|---|---|
| document_category_name | string — Document category | PAN Card of Signing Authority |
| document_type_name | string — Document type | PAN Card |
| status | string — Verification status | Approved |
| doc_url | string — Signed URL to the uploaded file | https://s3.example.com/signed-url... |
Additional request parameters info
Header parameters
Header parameters
| Header | Description | Example |
|---|---|---|
Authorizationmandatory | string — Bearer token from Step 00 (GetToken) | Bearer {{access_token}} |
Acceptoptional | string — Preferred response media type | application/json |
Path parameters
Path parameters
| Parameter | Description | Example |
|---|---|---|
midmandatory | string — Numeric merchant ID from Step 01 | 8390925 |
kyc_document_uuidmandatory | string — Document UUID from upload response | 11ef-587e-4383... |
400Bad Request
401Unauthorized - Invalid or expired token
403Forbidden - No access to this resource
404Not Found
422Validation Failed
500Internal Server Error
